#include<bits/stdc++.h>
using namespace std;
int N,K,T,Q,X,A[100009],B[100009];
int main(){
  //freopen("A12.txt","r",stdin);
  ios_base::sync_with_stdio(false);
  cin>>N;
  for(int i=1; i<=N; i++)cin>>A[i];
  cin>>Q;
  while(Q--){
    cin>>T>>K;
    if(T==0){
      for(int i=1; i<=N; i++)B[i]=A[i];
      for(int i=1; i<=N; i++){
        for(int j=i+1; j<=N; j++){
          if(B[i]<(B[i]|B[j])){
            int O=(B[i]|B[j]);
            int I=(B[i]&B[j]);
            B[i]=O;
            B[j]=I;
          }
        }

      }
      cout<<B[K]<<"\n";
    }
    if(T==1){
      cin>>X;
      A[K]=X;
    }
  }
  return 0;
}